## gargoyle-free 2023.1+dfsg

=== terps/CMakeLists.txt ===
option(WITH_ADVSYS "Enable the advsys interpreter" ON)
option(WITH_AGILITY "Enable the agility interpreter" ON)
option(WITH_ALAN2 "Enable the alan2 interpreter" ON)
option(WITH_ALAN3 "Enable the alan3 interpreter" ON)
option(WITH_BOCFEL "Enable the bocfel interpreter" ON)
option(WITH_GIT "Enable the git interpreter" ON)
option(WITH_GLULXE "Enable the glulxe interpreter" ON)
option(WITH_HUGO "Enable the hugo interpreter" ON)
option(WITH_JACL "Enable the jacl interpreter" ON)
option(WITH_LEVEL9 "Enable the level9 interpreter" ON)
option(WITH_MAGNETIC "Enable the magnetic interpreter" ON)
option(WITH_PLUS "Enable the plus interpreter" ON)
option(WITH_SCARE "Enable the scare interpreter" ON)
option(WITH_SCOTT "Enable the scott interpreter" ON)
option(WITH_TAYLOR "Enable the taylor interpreter" ON)

function(terp target)
    set(options POSIX LTO MATH WARNINGS)
    set(oneval CXXSTD)
    set(multival SRCS INCLUDE_DIRS MACROS LIBS)
    cmake_parse_arguments(TERP "${options}" "${oneval}" "${multival}" ${ARGN})

    add_executable(${target} WIN32 ${TERP_SRCS})
    set_target_properties(${target} PROPERTIES OUTPUT_NAME "${GARGLKPRE}${target}")
    target_compile_definitions(${target} PRIVATE GARGLK ${TERP_MACROS})
    target_include_directories(${target} PRIVATE "${PROJECT_SOURCE_DIR}/garglk" ${TERP_INCLUDE_DIRS})
    target_link_libraries(${target} PRIVATE garglkmain garglk ${TERP_LIBS})

    if(MINGW)
        target_sources(${target} PRIVATE "${PROJECT_SOURCE_DIR}/garglk/icons.rc")
    endif()

    if(NOT TERP_CXXSTD)
        set(TERP_CXXSTD 98)
    endif()

    c_standard(${target} 11)
    cxx_standard(${target} ${TERP_CXXSTD})

    if(TERP_POSIX)
        target_compile_definitions(${target} PRIVATE $<$<COMPILE_LANGUAGE:C>:_XOPEN_SOURCE=600>)
    endif()
    if(TERP_LTO)
        lto(${target})
    endif()
    if(TERP_MATH)
        target_link_libraries(${target} PRIVATE m)
    endif()
    if(TERP_WARNINGS)
        warnings(${target})
    endif()
    if(DIST_INSTALL)
        install(TARGETS ${target} DESTINATION "${PROJECT_SOURCE_DIR}/build/dist")
    elseif(UNIX)
        install(TARGETS ${target} DESTINATION "${INTERPRETER_INSTALL_DIR}")
    endif()
endfunction()

add_subdirectory(tads)

# Ideally CMake would allow multiple identical calls to add_subdirectory, but it
# doesn't, so ensure they're called only once, if needed.
if(WITH_PLUS OR WITH_SCOTT OR WITH_TAYLOR)
    add_subdirectory(c64diskimage)
endif()

if(WITH_SCOTT OR WITH_TAYLOR)
    add_subdirectory(unp64)
endif()


# ------------------------------------------------------------------------------
#
# AdvSys 1.2 + ANSI + NewParser + parts of glkize
#
if(WITH_ADVSYS)
    terp(advsys
        SRCS advsys/advmsg.c advsys/advtrm.c advsys/advprs.c
        advsys/advdbs.c advsys/advint.c advsys/advjunk.c advsys/advexe.c
        advsys/glkstart.c)

    if(CMAKE_C_COMPILER_ID MATCHES "Clang$")
        # This is a style choice in the code.
        target_compile_options(advsys PRIVATE "-Wno-parentheses")
    endif()
endif()

# ------------------------------------------------------------------------------
#
# Agility 1.1.2 with Glk
#
# Agility uses some bad voodoo to get filenames back from glk filerefs.
# We have three options:
#   1) use the bad voodoo (only works on unixes)
#   2) don't use glk file prompts (GLK_ANSI_ONLY)
#   3) use garglk extension garglk_fileref_get_name (GARGLK)
#
if(WITH_AGILITY)
    terp(agility
        SRCS agility/agtread.c agility/gamedata.c agility/util.c
        agility/agxfile.c agility/auxfile.c agility/filename.c agility/parser.c
        agility/exec.c agility/runverb.c agility/metacommand.c agility/savegame.c
        agility/debugcmd.c agility/agil.c agility/token.c agility/disassemble.c
        agility/object.c agility/interface.c agility/os_glk.c
        MACROS GLK POSIX)
endif()

# ------------------------------------------------------------------------------
#
# Alan interpreter 2.8.6
#
# Fixed a couple of bugs (needsp needs resetting in a few places).
# Added glk file prompts for gargoyle using garglk_fileref_get_name.
#
if(WITH_ALAN2)
    terp(alan2
        SRCS alan2/arun.c alan2/main.c alan2/debug.c alan2/args.c alan2/exe.c
        alan2/inter.c alan2/parse.c alan2/rules.c alan2/stack.c alan2/decode.c
        alan2/term.c alan2/reverse.c alan2/readline.c alan2/params.c
        alan2/sysdep.c alan2/glkstart.c alan2/glkio.c alan2/alan.version.c
        MACROS GLK REVERSED
        POSIX)

    if(CMAKE_C_COMPILER_ID MATCHES "Clang$")
        # This is a style choice in the code.
        target_compile_options(alan2 PRIVATE "-Wno-dangling-else")
    endif()
endif()

# ------------------------------------------------------------------------------
#
# Alan interpreter 3.0beta8
#
if(WITH_ALAN3)
    terp(alan3
        SRCS alan3/alan.version.c alan3/act.c alan3/actor.c alan3/args.c
        alan3/arun.c alan3/attribute.c alan3/checkentry.c alan3/class.c
        alan3/converter.c alan3/current.c alan3/debug.c alan3/decode.c
        alan3/dictionary.c alan3/event.c alan3/exe.c alan3/fnmatch.c
        alan3/glkio.c alan3/glkstart.c alan3/instance.c alan3/inter.c
        alan3/lists.c alan3/literal.c alan3/main.c alan3/memory.c alan3/msg.c
        alan3/options.c alan3/output.c alan3/params.c alan3/parse.c
        alan3/readline.c alan3/reverse.c alan3/rules.c alan3/save.c alan3/scan.c
        alan3/score.c alan3/set.c alan3/stack.c alan3/state.c alan3/syntax.c
        alan3/sysdep.c alan3/syserr.c alan3/term.c alan3/types.c alan3/utils.c
        alan3/word.c alan3/compatibility.c alan3/AltInfo.c alan3/Container.c
        alan3/Location.c alan3/ParameterPosition.c alan3/StateStack.c
        MACROS GLK HAVE_GARGLK BUILD=0
        POSIX)
endif()

# ------------------------------------------------------------------------------
#
# Bocfel 2.1.1
#
if(WITH_BOCFEL)
    set(BOCFEL_MACROS ZTERP_GLK ZTERP_GLK_BLORB ZTERP_GLK_UNIX)
    if(UNIX)
        list(APPEND BOCFEL_MACROS ZTERP_UNIX)
    elseif(MINGW)
        list(APPEND BOCFEL_MACROS ZTERP_WIN32)
    endif()

    if(GARGLK_NEEDS_TICK)
        list(APPEND BOCFEL_MACROS ZTERP_GLK_TICK)
    endif()

    terp(bocfel
        SRCS bocfel/blorb.cpp bocfel/branch.cpp bocfel/dict.cpp bocfel/iff.cpp
        bocfel/io.cpp bocfel/mathop.cpp bocfel/meta.cpp bocfel/memory.cpp bocfel/objects.cpp
        bocfel/osdep.cpp bocfel/patches.cpp bocfel/process.cpp bocfel/random.cpp
        bocfel/screen.cpp bocfel/sound.cpp bocfel/stack.cpp bocfel/stash.cpp
        bocfel/unicode.cpp bocfel/util.cpp bocfel/zoom.cpp bocfel/zterp.cpp
        bocfel/glkstart.cpp
        CXXSTD 14
        MACROS ${BOCFEL_MACROS}
        LTO WARNINGS)

    if(CMAKE_C_COMPILER_ID MATCHES "GNU$")
        target_compile_options(bocfel PRIVATE "-Wno-sign-compare")
    endif()
endif()

# ------------------------------------------------------------------------------
#
# Git 1.3.7
#
# Reworked startup code to redirect errors to Glk windows.
#
if(WITH_GIT)
    set(GIT_MACROS USE_INLINE)

    if(GARGLK_NEEDS_TICK)
        list(APPEND GIT_MACROS GIT_NEED_TICK)
    endif()

    if(CMAKE_VERSION VERSION_LESS "3.20")
        include(TestBigEndian)
        test_big_endian(IS_BIG_ENDIAN)
        if(IS_BIG_ENDIAN)
            list(APPEND GIT_MACROS USE_BIG_ENDIAN)
        endif()
    else()
        if(CMAKE_C_BYTE_ORDER STREQUAL "BIG_ENDIAN")
            list(APPEND GIT_MACROS USE_BIG_ENDIAN)
        endif()
    endif()

    terp(git
        SRCS git/git.c git/memory.c git/compiler.c git/opcodes.c git/operands.c
        git/peephole.c git/terp.c git/glkop.c git/search.c git/git_unix.c
        git/savefile.c git/saveundo.c git/gestalt.c git/heap.c git/accel.c
        MACROS ${GIT_MACROS}
        MATH)
endif()

# ------------------------------------------------------------------------------
#
# Glulxe 0.6.0
#
if(WITH_GLULXE)
    set(GLULXE_MACROS FLOAT_COMPILE_SAFER_POWF)
    if(UNIX)
        list(APPEND GLULXE_MACROS OS_UNIX)
    elseif(MINGW)
        list(APPEND GLULXE_MACROS WIN32)
    endif()

    terp(glulxe
        SRCS glulxe/main.c glulxe/files.c glulxe/vm.c glulxe/exec.c
        glulxe/funcs.c glulxe/operand.c glulxe/string.c glulxe/glkop.c
        glulxe/heap.c glulxe/serial.c glulxe/search.c glulxe/gestalt.c
        glulxe/osdepend.c glulxe/unixstrt.c glulxe/accel.c glulxe/profile.c
        glulxe/float.c
        MACROS ${GLULXE_MACROS}
        MATH
        POSIX
        LTO)
endif()

# ------------------------------------------------------------------------------
#
# Hugo 3.1.06
#
if(WITH_HUGO)
    terp(hugo
        SRCS hugo/heglk/heglk.c hugo/heglk/heglkunix.c hugo/source/he.c
        hugo/source/hemisc.c hugo/source/heparse.c hugo/source/herun.c
        hugo/source/heexpr.c hugo/source/heobject.c hugo/source/heres.c
        hugo/source/heset.c hugo/source/stringfn.c
        INCLUDE_DIRS hugo/source
        MACROS GLK COMPILE_V25 NO_KEYPRESS_CURSOR "HUGO_INLINE=static inline")
endif()

# ------------------------------------------------------------------------------
#
# JACL 2.9.0 for JACL games
#
if(WITH_JACL)
    terp(jacl
        SRCS jacl/jacl.c jacl/glk_startup.c jacl/findroute.c jacl/interpreter.c
        jacl/loader.c jacl/glk_saver.c jacl/logging.c jacl/parser.c
        jacl/display.c jacl/utils.c jacl/jpp.c jacl/resolvers.c jacl/errors.c
        jacl/encapsulate.c jacl/libcsv.c
        MACROS GLK
        MATH
        POSIX)

    if(CMAKE_C_COMPILER_ID MATCHES "Clang$")
        # This is a style choice in the code.
        target_compile_options(jacl PRIVATE "-Wno-parentheses-equality")

        # Non-prototype (K&R) declarations have been fixed in JACL's Git
        # repository, but there hasn't been a release yet since then, so
        # just ignore the warnings here; remove in the future when a new
        # JACL is upstreamed.
        target_compile_options(jacl PRIVATE "-Wno-deprecated-non-prototype")
    endif()
endif()

# ------------------------------------------------------------------------------
#
# Level9 4.1
#
# Disabled the status bar that just contained a static version string.
# Added graphics support.
#
if(WITH_LEVEL9)
    terp(level9
        SRCS level9/Glk/glk.c level9/bitmap.c level9/level9.c
        INCLUDE_DIRS level9
        MACROS PRIVATE BITMAP_DECODER NEED_STRICMP_PROTOTYPE
        stricmp=gln_strcasecmp strnicmp=gln_strncasecmp
        MATH)

    if(CMAKE_C_COMPILER_ID MATCHES "Clang$")
        # This is a style choice in the code.
        target_compile_options(level9 PRIVATE "-Wno-switch")
    endif()
endif()

# ------------------------------------------------------------------------------
#
# Magnetic 2.3
#
# Disable layered drawing, because that is slower than drawing
# all the pixels with fill_rect -- the opposite of Xglk.
#
# Delay opening the status window, because for games that don't use it
# magnetic shows a static version string only. I don't like that.
#
# Made shaded border around pictures if-defable.
#
if(WITH_MAGNETIC)
    terp(magnetic
        SRCS magnetic/Generic/emu.c magnetic/Glk/glk.c
        INCLUDE_DIRS magnetic/Generic)
endif()

# ------------------------------------------------------------------------------
#
# Plus 1.0 for Scott Adams Graphic Adventures Plus games
#
if(WITH_PLUS)
    set(PLUS_INCLUDE_DIRS plus)
    terp(plus
        SRCS plus/plusmain.c plus/animations.c plus/apple2detect.c plus/apple2draw.c
        plus/atari8c64draw.c plus/atari8detect.c plus/c64detect.c plus/extracommands.c
        plus/companionfile.c plus/gameinfo.c plus/graphics.c plus/layouttext.c plus/loaddatabase.c
        plus/parseinput.c plus/pcdraw.c plus/restorestate.c plus/stdetect.c plus/stdraw.c
        INCLUDE_DIRS ${PLUS_INCLUDE_DIRS}
        LIBS c64diskimage)
endif()

# ------------------------------------------------------------------------------
#
# SCARE 1.3.10 for Adrift games
#
if(WITH_SCARE)
    if(UNIX OR MINGW)
        find_package(ZLIB REQUIRED)
        set(SCARE_INCLUDE_DIRS ${ZLIB_INCLUDE_DIRS})
        set(SCARE_LIBS ${ZLIB_LIBRARIES})

=== support/babel/CMakeLists.txt ===
add_library(babel STATIC adrift.c advsys.c agt.c alan.c babel_handler.c blorb.c
            executable.c glulx.c html.c hugo.c ifiction.c level9.c magscrolls.c
            md5.c misc.c register.c register_ifiction.c tads.c tads2.c tads3.c
            zcode.c)

set_property(TARGET babel PROPERTY POSITION_INDEPENDENT_CODE TRUE)

target_include_directories(babel PUBLIC ${CMAKE_CURRENT_SOURCE_DIR})

=== terps/c64diskimage/CMakeLists.txt ===
add_library(c64diskimage STATIC c64diskimage.c)

c_standard(c64diskimage 11)
warnings(c64diskimage)

target_include_directories(c64diskimage INTERFACE ${CMAKE_CURRENT_SOURCE_DIR})

=== terps/glulxe/Makefile ===
# Unix Makefile for Glulxe.

# To use this, you must set three variables. GLKINCLUDEDIR must be the 
# directory containing glk.h, glkstart.h, and the Make.library file.
# GLKLIBDIR must be the directory containing the library.a file.
# And GLKMAKEFILE must be the name of the Make.library file. Two
# sets of values appear below; uncomment one of them and change the
# directories appropriately.

GLKINCLUDEDIR = ../cheapglk
GLKLIBDIR = ../cheapglk
GLKMAKEFILE = Make.cheapglk

#GLKINCLUDEDIR = ../glkterm
#GLKLIBDIR = ../glkterm
#GLKMAKEFILE = Make.glkterm

#GLKINCLUDEDIR = ../xglk
#GLKLIBDIR = ../xglk
#GLKMAKEFILE = Make.xglk

#GLKINCLUDEDIR = ../remglk
#GLKLIBDIR = ../remglk
#GLKMAKEFILE = Make.remglk

#GLKINCLUDEDIR = ../gtkglk/src
#GLKLIBDIR = ../gtkglk
#GLKMAKEFILE = ../Make.gtkglk

# Pick a C compiler.
CC = cc
#CC = gcc

OPTIONS = -g -Wall -Wmissing-prototypes -Wstrict-prototypes -Wno-unused -DOS_UNIX

# Locate the libxml2 library. You only need these lines if you are using
# the VM_DEBUGGER option. If so, uncomment these and set appropriately.
#XMLLIB = -L/usr/local/lib -lxml2
#XMLLIBINCLUDEDIR = -I/usr/local/include/libxml2

include $(GLKINCLUDEDIR)/$(GLKMAKEFILE)

CFLAGS = $(OPTIONS) -I$(GLKINCLUDEDIR) $(XMLLIBINCLUDEDIR)
LIBS = -L$(GLKLIBDIR) $(GLKLIB) $(LINKLIBS) -lm $(XMLLIB)

OBJS = main.o files.o vm.o exec.o funcs.o operand.o string.o glkop.o \
  heap.o serial.o search.o accel.o float.o gestalt.o osdepend.o \
  profile.o debugger.o

all: glulxe

glulxe: $(OBJS) unixstrt.o unixautosave.o
	$(CC) $(OPTIONS) -o glulxe $(OBJS) unixstrt.o unixautosave.o $(LIBS)

glulxdump: glulxdump.o
	$(CC) -o glulxdump glulxdump.o

$(OBJS) unixstrt.o unixautosave.o: glulxe.h unixstrt.h

exec.o operand.o: opcodes.h
gestalt.o: gestalt.h

clean:
	rm -f *~ *.o glulxe glulxdump profile-raw

=== terps/tads/CMakeLists.txt ===
option(WITH_TADS "Enable the tads interpreter" ON)

if(WITH_TADS)
    set(srcs glk/memicmp.c glk/osbuffer.c glk/osextra.c glk/osglk.c
        glk/osglkban.c glk/osmisc.c glk/osparse.c glk/osportable.cc
        glk/t23run.cpp glk/t2askf.c glk/t2indlg.c glk/t3askf.cpp
        glk/t3indlg.cpp glk/vmuni_cs.cpp)

    list(APPEND srcs glk/garglk.cpp)

    list(APPEND srcs tads2/argize.c tads2/bif.c tads2/bifgdum.c tads2/cmap.c
        tads2/cmd.c tads2/dat.c tads2/dbgtr.c tads2/errmsg.c tads2/execmd.c
        tads2/fio.c tads2/fioxor.c tads2/getstr.c tads2/ler.c tads2/linfdum.c
        tads2/lst.c tads2/mch.c tads2/mcm.c tads2/mcs.c tads2/obj.c tads2/oem.c
        tads2/os0.c tads2/oserr.c tads2/osifc.c tads2/osnoui.c tads2/osrestad.c
        tads2/osstzprs.c tads2/ostzposix.c tads2/out.c tads2/output.c
        tads2/ply.c tads2/qas.c tads2/regex.c tads2/run.c tads2/runstat.c
        tads2/suprun.c tads2/trd.c tads2/voc.c tads2/vocab.c)

    list(APPEND srcs tads3/charmap.cpp tads3/md5.cpp tads3/resldexe.cpp
        tads3/resload.cpp tads3/sha2.cpp tads3/std.cpp tads3/tcerr.cpp
        tads3/tcerrmsg.cpp tads3/tcgen.cpp tads3/tcglob.cpp tads3/tcmain.cpp
        tads3/tcprs.cpp tads3/tcprs_rt.cpp tads3/tcprsnf.cpp tads3/tcprsnl.cpp
        tads3/tcprsstm.cpp tads3/tcsrc.cpp tads3/tct3.cpp tads3/tct3_d.cpp
        tads3/tct3nl.cpp tads3/tct3stm.cpp tads3/tct3unas.cpp tads3/tctok.cpp
        tads3/utf8.cpp tads3/vmanonfn.cpp tads3/vmbif.cpp tads3/vmbifl.cpp
        tads3/vmbifreg.cpp tads3/vmbift3.cpp tads3/vmbiftad.cpp
        tads3/vmbiftio.cpp tads3/vmbignum.cpp tads3/vmbignumlib.cpp
        tads3/vmbt3_nd.cpp tads3/vmbytarr.cpp tads3/vmcfgmem.cpp
        tads3/vmcoll.cpp tads3/vmconhmp.cpp tads3/vmconsol.cpp tads3/vmcrc.cpp
        tads3/vmcset.cpp tads3/vmdate.cpp tads3/vmdict.cpp tads3/vmdynfunc.cpp
        tads3/vmerr.cpp tads3/vmerrmsg.cpp tads3/vmfile.cpp tads3/vmfilnam.cpp
        tads3/vmfilobj.cpp tads3/vmfref.cpp tads3/vmfunc.cpp tads3/vmglob.cpp
        tads3/vmgram.cpp tads3/vmhash.cpp tads3/vmhostsi.cpp tads3/vmhosttx.cpp
        tads3/vmimage.cpp tads3/vmimg_nd.cpp tads3/vmini_nd.cpp tads3/vminit.cpp
        tads3/vminitim.cpp tads3/vmintcls.cpp tads3/vmisaac.cpp tads3/vmiter.cpp
        tads3/vmlog.cpp tads3/vmlookup.cpp tads3/vmlst.cpp tads3/vmmain.cpp
        tads3/vmmcreg.cpp tads3/vmmeta.cpp tads3/vmnetfillcl.cpp tads3/vmobj.cpp
        tads3/vmop.cpp tads3/vmpack.cpp tads3/vmpat.cpp tads3/vmpool.cpp
        tads3/vmpoolim.cpp tads3/vmregex.cpp tads3/vmrun.cpp tads3/vmrunsym.cpp
        tads3/vmsa.cpp tads3/vmsave.cpp tads3/vmsort.cpp tads3/vmsortv.cpp
        tads3/vmsrcf.cpp tads3/vmstack.cpp tads3/vmstr.cpp tads3/vmstrbuf.cpp
        tads3/vmstrcmp.cpp tads3/vmtmpfil.cpp tads3/vmtobj.cpp tads3/vmtype.cpp
        tads3/vmtypedh.cpp tads3/vmtz.cpp tads3/vmtzobj.cpp tads3/vmundo.cpp
        tads3/vmvec.cpp)

    list(APPEND srcs tads3/vmconnom.cpp)

    set(macros GARGOYLE VMGLOB_STRUCT GLK_UNICODE GLK_TIMERS TC_TARGET_T3 RUNTIME)
    if(MINGW32)
        list(APPEND macros DMSDOS DT_WIN32)
    endif()

    terp(tadsr
        SRCS ${srcs}
        MACROS ${macros}
        CXXSTD 11
        POSIX)

    if(CMAKE_C_COMPILER_ID STREQUAL "Clang")
        # This is a style choice in the code.
        target_compile_options(tadsr PRIVATE "-Wno-logical-not-parentheses")
    endif()

    target_include_directories(tadsr PRIVATE glk tads2 tads3)
endif()

=== terps/unp64/CMakeLists.txt ===
add_library(unp64 STATIC 6502_emu.cpp exo_util.cpp globals.cpp unp64.cpp
    scanners/scanners.cpp scanners/abuze_crunch.cpp scanners/action_packer.cpp
    scanners/byte_boiler.cpp scanners/caution.cpp scanners/ccs.cpp scanners/cruel.cpp
    scanners/eca.cpp scanners/exomizer.cpp scanners/expert.cpp scanners/final_super_comp.cpp
    scanners/intros.cpp scanners/master_compressor.cpp scanners/megabyte.cpp scanners/mr_cross.cpp
    scanners/mr_z.cpp scanners/pu_crunch.cpp scanners/section8.cpp scanners/tbc_multicomp.cpp
    scanners/tcs_crunch.cpp scanners/time_cruncher.cpp scanners/xtc.cpp)

target_include_directories(unp64 INTERFACE ${CMAKE_CURRENT_SOURCE_DIR} PRIVATE PARENT_DIR ${CMAKE_CURRENT_SOURCE_DIR})

cxx_standard(unp64 17)
warnings(unp64)

=== debian/changelog ===
gargoyle-free (2023.1+dfsg-5) unstable; urgency=medium

  * Build with CMake 4 (Closes: #1112942)
  * Switch to Qt6
  * Update my email address
  * Update path in doc

 -- Alexandre Detiste <tchet@debian.org>  Sat, 27 Sep 2025 01:00:26 +0200

gargoyle-free (2023.1+dfsg-4) unstable; urgency=low

  * remove duplicate menu entry (Closes: #1049323)

 -- Alexandre Detiste <alexandre.detiste@gmail.com>  Tue, 22 Aug 2023 13:27:25 +0200

gargoyle-free (2023.1+dfsg-3) unstable; urgency=medium

  * fix FTBFS with GCC-13 (Closes: #1037669)

 -- Alexandre Detiste <alexandre.detiste@gmail.com>  Wed, 14 Jun 2023 13:17:32 +0200

gargoyle-free (2023.1+dfsg-2) unstable; urgency=medium

  * release to unstable
  * replace obsolete build-dependency "pkg-config" by "pkgconf".
  * use system's "fmt" library

 -- Alexandre Detiste <alexandre.detiste@gmail.com>  Sun, 07 May 2023 12:19:47 +0200

gargoyle-free (2023.1+dfsg-1) experimental; urgency=medium

  * new upstream release
  * new engines:
    * Plus
    * TaylorMade
  * replace obsolete Build-Dependencies by new ones:
    * libfontconfig1-dev -> libfontconfig-dev
    * libfreetype6-dev -> libfreetype-dev
  * replace terse Debian manpage by the new &
    better upstream one (Closes: #998037).
  * update Standards-Version to 4.6.2, no change needed
  * d/copyright: add FSFAP license used for appdata.xml
  * d/patches:
    * remove gmtime redefinition patch, not needed anymore
    * add second .desktop entry to existing patch

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Alexandre Detiste <alexandre.detiste@gmail.com>  Sun, 30 Apr 2023 16:19:00 +0200

=== debian/control ===
Source: gargoyle-free
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Sylvain Beucler <beuc@debian.org>,
 Alexandre Detiste <tchet@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 libfmt-dev,
 libfontconfig-dev,
 libfreetype-dev,
 libjpeg-dev,
 libpng-dev,
 libsdl2-dev,
 libsdl2-mixer-dev,
 libspeechd-dev,
 pkgconf,
 qt6-base-dev,
 qt6-tools-dev,
Standards-Version: 4.7.2
Homepage: https://ccxvii.net/gargoyle/
Vcs-Git: https://salsa.debian.org/games-team/gargoyle-free.git
Vcs-Browser: https://salsa.debian.org/games-team/gargoyle-free
X-Style: black

Package: gargoyle-free
Architecture: any
Depends:
 fonts-go,
 fonts-sil-charis,
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 tads2-interpreter,
 tads3-interpreter,
 zcode-interpreter,
Description: graphical player for Interactive Fiction games
 Gargoyle is an Interactive Fiction (text adventure) player that
 supports all the major interactive fiction formats.
 .
 Most interactive fiction is distributed as portable game files. These
 portable game files come in many formats. In the past, you used to
 have to download a separate player (interpreter) for each format of
 IF you wanted to play. Instead, Gargoyle provides unified player.
 .
 Gargoyle is based on the standard interpreters for the formats it
 supports: .taf (Adrift games, played with Scare), .dat (AdvSys),
 *.agx/.d$$ (AGiliTy), .a3c (Alan3), .asl/.cas (Quest games, played
 with Geas), .jacl/.j2 (JACL), .l9/.sna (Level 9), .mag (Magnetic),
 *.saga (Scott Adams Grand Adventures), .gam/.t3 (TADS),
 *.z1/.z2/.z3/.z4/.z5/.z6/.z7/.z8 (Inform Z-Machine games, played with
 Frotz, Nitfol or Bocfel), .ulx/.blb/.blorb/.glb/.gblorb (Inform or
 Superglús games compiled to the Glulxe VM in Blorb archives, played
 with Git or Glulxe), .zlb, .zblorb (Inform Z-Machine games in Blorb
 archives, played with Frotz).
 .
 (note: do not confuse the Git Glux interpreter with the Git DVCS or
 the GNU Interactive Tools)
 .
 Gargoyle also features graphics, sounds and Unicode support.
 .
 Technically all the bundled interpreters support the Glk API to
 manage I/O (keyboard, graphics, sounds, file) in IF games. Gargoyle
 provides a Glk implementation called garglk that displays texts and
 images in a graphical Qt window, with care on typography.
 .
 Limitations:
 .
 * While Gargoyle can display in-game pictures, it does not provide a
 way to display the cover art present in some Blorb archives.
 .
 * The TADS interpreter doesn't support HTML TADS; you can play
 the games, but will miss the hyperlinks.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

TARGET  := $(CURDIR)/debian/gargoyle-free

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_SHARED_LIBS=OFF -DWITH_QT6=ON

execute_after_dh_auto_install:
	(cd $(TARGET) ; mv usr/bin/gargoyle usr/games/gargoyle-free)
	(cd $(TARGET) ; mv usr/share/man/man6/gargoyle.6 usr/share/man/man6/gargoyle-free.6)
	rmdir --ignore-fail-on-non-empty $(TARGET)/usr/bin
	rm -rf $(TARGET)/usr/include
	rm -rf $(TARGET)/usr/lib
	rm -rf $(TARGET)/usr/share/icons/hicolor # bug 1019713

execute_after_dh_install:
	sed -i '/^monofont/s/Gargoyle\ Mono/Go\ Mono/' $(TARGET)/etc/garglk.ini
	sed -i '/^propfont/s/Gargoyle\ Serif/Charis\ SIL/' $(TARGET)/etc/garglk.ini

=== debian/watch ===
version=4
opts="compression=xz,repacksuffix=+dfsg,repack,dversionmangle=s/\+dfsg\d*//" \
    https://github.com/garglk/garglk/tags/ \
    /garglk/garglk/archive/refs/tags/@ANY_VERSION@@ARCHIVE_EXT@
